using System;

namespace EPiServer.Templates.ImageVault {
    /// <summary>
    /// Summary description for ImageVaultTemplate.
    /// </summary>
    /// <remarks>
    /// 2008-02-11 marcus: Created
    /// </remarks>
    public class ImageVaultTemplate : TemplatePage {
        /* *******************************************************************
         *  Methods 
         * *******************************************************************/
        #region protected override void OnInit(EventArgs e)
        /// <summary>
        /// 
        /// </summary>
        /// <param name="e"></param>
        protected override void OnInit(EventArgs e) {
            base.OnInit(e);
            // Register ImageVault clientscripts and cascading style sheet
            RegisterCssFile("/Templates/ImageVault/Css/main.css");
            RegisterCssFile("/Templates/ImageVault/Css/jquery.lightbox-0.4.css");
            RegisterClientScriptFile("/Templates/ImageVault/Js/jquery.js");
            RegisterClientScriptFile("/Templates/ImageVault/Js/jquery.innerfade.js");
            RegisterClientScriptFile("/Templates/ImageVault/Js/jquery.lightbox-0.4.js");
            RegisterClientScriptFile("/Templates/ImageVault/Js/functions.js");
        }
        #endregion
    }
}