<%@ Page Language="C#" MasterPageFile="~/Templates/Demo/MasterPages/MasterPage.master" AutoEventWireup="false" CodeBehind="Search.aspx.cs" Inherits="ImageVaultDemoTemplates.templates.ImageVault.Pages.Search" %>
<%@ Register TagPrefix="ImageVault" Namespace="ImageStoreNET.Developer.WebControls" Assembly="ImageVault.Episerver5" %>
<%@ Register TagPrefix="public" TagName="MainBody" Src="~/Templates/Public/Units/Placeable/MainBody.ascx" %>
<asp:Content runat="server" ContentPlaceHolderID="MainContentRegion">
        <div id="MainBodyWideArea">
            <div id="MainBody">
                <public:MainBody runat="server" />
                <div class="searchform">
                    <asp:Label runat="server" AssociatedControlID="SearchQuery" Text="Search in ImageVault:" />
                    <asp:TextBox runat="server" ID="SearchQuery" CssClass="querybox" />
                    <asp:Button runat="server" CssClass="button" Text="Search" />
                    <fieldset class="categories">
                        <legend>Categories</legend>
                        <asp:CheckBoxList ID="categories" runat="server" />
                    </fieldset>
                    <fieldset class="metadata">
                        <legend>Metadata</legend>
                        <asp:PlaceHolder ID="pnlmetadata" Runat="server" />
                    </fieldset>
                </div>
                <imagevault:IVFileSearch runat="server" Recursive="true" id="FileSearch" AlbumProperty="AlbumSearchRoot">
                <HeaderTemplate>
                    <strong><asp:Literal runat="server" Text="<%$ Resources: EPiServer, imagevault.templates.search.searchresult%>" /></strong>
                    <table summary="Images with metadata to each image" class="imagelist">
                        <tr>
                            <td class="empty"></td>
                            <th scope="col"><asp:Literal runat="server" Text="<%$ Resources: EPiServer, imagevault.templates.imagelist.format%>" /></th>
                            <th scope="col" class="resolution"><asp:Literal runat="server" Text="<%$ Resources: EPiServer, imagevault.templates.imagelist.resolution%>" /></th>
                            <th scope="col" class="pixelsize"><asp:Literal runat="server" Text="<%$ Resources: EPiServer, imagevault.templates.imagelist.pixelsize%>" /></th>
                            <th scope="col" class="date"><asp:Literal runat="server" Text="<%$ Resources: EPiServer, imagevault.templates.imagelist.pixelsize%>" /></th>
                        </tr>
                </HeaderTemplate>
	            <ItemTemplate>
	                <tr>
	                    <th scope="row" class="image">
	                        <div class="alpha-shadow">
	                            <div>
	                                <ImageVault:IVImage runat="server" ImageWidth="122" ImageFormat="jpg"/>
	                            </div>
	                        </div>
	                    </th>
	                    <td>
	                        <a href="<%#Container.CurrentFile.LinkURL%>" onclick="window.open('<%#Container.CurrentFile.LinkURL%>');return false"><asp:Literal runat="server" Text="<%$ Resources: EPiServer, imagevault.templates.imagelist.original%>" /></a><br/>
			                <ImageVault:IVConversionFormatList runat="server">
				                <ItemTemplate>
					                <a href="<%#Container.CurrentFormat.LinkURL%>" onclick="window.open('<%#Container.CurrentFormat.LinkURL%>');return false"><%#Container.CurrentFormat.Name%></a><br/>
				                </ItemTemplate>
			                </ImageVault:IVConversionFormatList>		                    
	                    </td>
	                    <td class="resolution"><%#Container.CurrentFile.Resolution %></td>
	                    <td class="pixelsize"><%#Container.CurrentFile.Width %> x <%#Container.CurrentFile.Height %></td>
	                    <td class="date"><%#Container.CurrentFile.Created.ToShortDateString() %></td>
                    </tr>
	            </ItemTemplate>
	            <FooterTemplate>
	                </table>
	            </FooterTemplate>
	            <NoFilesTemplate>
		                <br />
		                <asp:Literal runat="server" Text="<%$ Resources: EPiServer, imagevault.templates.search.nohits%>" />
	                </NoFilesTemplate>
                </imagevault:IVFileSearch>
                
            </div>
        </div>
</asp:Content>