using System;
using EPiServer.Templates.ImageVault;
using ImageVaultDemoTemplates.templates.ImageVault.Units;

namespace ImageVaultDemoTemplates.templates.ImageVault.Pages {
    /// <summary>
    /// 
    /// </summary>
    /// <remarks></remarks>
    /// <example></example>
    public partial class ImageGallery : ImageVaultTemplate {
        protected AlbumMenu AlbumMenu;
        protected AlbumImageList ImageList;
        /* *******************************************************************
        *  Methods 
        * *******************************************************************/
        #region override protected void OnInit(EventArgs e)
        /// <summary>
        /// 
        /// </summary>
        /// <param name="e"></param>
        override protected void OnInit(EventArgs e) {
            InitializeComponent();
            base.OnInit(e);
        }
        #endregion
        #region private void InitializeComponent()
        /// <summary>
        /// 
        /// </summary>
        private void InitializeComponent() {
            Init += Page_Init;
            Load += Page_Load;
        }
        #endregion
        /* *******************************************************************
        *  Event methods 
        * *******************************************************************/
        #region protected void Page_Load(object sender, EventArgs e)
        /// <summary>
        /// This method is called when the Page's Load event has been fired.
        /// </summary>
        /// <param name="sender">The <see cref="object"/> that fired the event.</param>
        /// <param name="e">The <see cref="EventArgs"/> of the event.</param>
        protected void Page_Load(object sender, EventArgs e) {
            if(!IsPostBack)
                DataBind();
        }
        #endregion
        #region private void Page_Init(object sender, EventArgs e)
        /// <summary>
        /// This method is called when the Page's Init event has been fired.
        /// </summary>
        /// <param name="sender">The <see cref="object"/> that fired the event.</param>
        /// <param name="e">The <see cref="EventArgs"/> of the event.</param>
        private void Page_Init(object sender, EventArgs e) {
            if (AlbumMenu != null && ImageList != null) {
                ImageList.AlbumTreeControl = AlbumMenu.AlbumTreeControl;
            }
        }
        #endregion
    }
}
