<%@ Page Language="C#" MasterPageFile="~/Templates/Demo/MasterPages/MasterPage.master" AutoEventWireup="false" CodeBehind="ImageList.aspx.cs" Inherits="EPiServer.Templates.ImageVault.Pages.ImageList" %>
<%@ Register TagPrefix="ImageVault" Namespace="ImageStoreNET.Developer.WebControls" Assembly="ImageVault.Episerver5" %>
<%@ Register TagPrefix="public" TagName="MainBody" Src="~/Templates/Public/Units/Placeable/MainBody.ascx" %>
<asp:Content runat="server" ContentPlaceHolderID="MainContentRegion">
    <div id="MainBodyWideArea">
        <div id="MainBody">
            <public:MainBody runat="server" />
            <ImageVault:IVFileList runat="server" id="FileListControl" FileListProperty="ImageList">
                <HeaderTemplate>
                    <table summary="Images with metadata to each image" class="imagelist">
                        <tr>
                            <td class="empty"></td>
                            <th scope="col"><asp:Literal runat="server" Text="<%$ Resources: EPiServer, imagevault.templates.imagelist.format%>" /></th>
                            <th scope="col" class="resolution"><asp:Literal runat="server" Text="<%$ Resources: EPiServer, imagevault.templates.imagelist.resolution%>" /></th>
                            <th scope="col" class="pixelsize"><asp:Literal runat="server" Text="<%$ Resources: EPiServer, imagevault.templates.imagelist.pixelsize%>" /></th>
                            <th scope="col" class="date"><asp:Literal runat="server" Text="<%$ Resources: EPiServer, imagevault.templates.imagelist.date%>" /></th>
                        </tr>
                </HeaderTemplate>
	            <ItemTemplate>
	                <tr>
	                    <th scope="row" class="image">
	                        <div class="alpha-shadow">
	                            <div>
	                                <ImageVault:IVImage runat="server" ImageWidth="122" ImageFormat="jpg"/>
	                            </div>
	                        </div>
	                    </th>
	                    <td>
	                        <a href="<%#Container.CurrentFile.LinkURL%>" onclick="window.open('<%#Container.CurrentFile.LinkURL%>');return false"><asp:Literal runat="server" Text="<%$ Resources: EPiServer, imagevault.templates.imagelist.original%>" /></a><br/>
			                <ImageVault:IVConversionFormatList runat="server">
				                <ItemTemplate>
					                <a href="<%#Container.CurrentFormat.LinkURL%>" onclick="window.open('<%#Container.CurrentFormat.LinkURL%>');return false"><%#Container.CurrentFormat.Name%></a><br/>
				                </ItemTemplate>
			                </ImageVault:IVConversionFormatList>		                    
	                    </td>
	                    <td class="resolution"><%#Container.CurrentFile.Resolution %></td>
	                    <td class="pixelsize"><%#Container.CurrentFile.Width %> x <%#Container.CurrentFile.Height %></td>
	                    <td class="date"><%#Container.CurrentFile.Created.ToShortDateString() %></td>
                    </tr>
	            </ItemTemplate>
	            <FooterTemplate>
	                </table>
	            </FooterTemplate>
            </ImageVault:IVFileList>            
        </div>    
    </div>        
</asp:Content>