<%@ Page Language="C#" MasterPageFile="~/Templates/Demo/MasterPages/MasterPage.master" AutoEventWireup="false" CodeBehind="NewsList.aspx.cs" Inherits="EPiServer.Templates.ImageVault.Pages.NewsList" %>
<%@ Register TagPrefix="ImageVault" Namespace="ImageStoreNET.Developer.WebControls" Assembly="ImageStoreNET" %>
<%@ Register TagPrefix="public" TagName="MainBody" Src="~/Templates/Public/Units/Placeable/MainBody.ascx" %>
<asp:Content runat="server" ContentPlaceHolderID="MainContentRegion">
    <div id="MainBodyWideArea">
        <div id="MainBody">
            <public:MainBody runat="server" />
            <EPiServer:PageList runat="server" PageLinkProperty="NewsRoot">
                <ItemTemplate>
                    <div class="newsentry clearfix">
                        <div class="alpha-shadow">
                            <div>
                                <EPiServer:Property runat="server" PropertyName="Image" ImageWidth="122" />
                            </div>
                        </div>
                        <h2><a href="<%#Container.CurrentPage.LinkURL %>"><EPiServer:Property runat="server" PropertyName="Heading" /></a></h2>
                        <span class="date"><%#Container.CurrentPage.Changed.ToShortDateString() %></span>
                        <p>
                            <%#Container.PreviewText %>
                        </p>
                    </div>
                </ItemTemplate>
            </EPiServer:PageList>
        </div>
    </div>        
</asp:Content>